API reference
Contacts
The people in someone's address book.
Base URL https://api.pinal.tech/v1
API reference
The people in someone's address book.
Base URL https://api.pinal.tech/v1
/contactsEveryone in the address book.
q string Match name, email or phone.
limit integer Items per page, 1–100.
cursor string Opaque cursor from a previous page's next_cursor.
curl "https://api.pinal.tech/v1/contacts" \
-H "Authorization: Bearer $ACCESS_TOKEN"{
"contacts": [
{
"id": "string",
"name": "string",
"emails": [
{
"label": "string",
"value": "alex@pinal.email"
}
],
"phones": [
{
"label": "string",
"value": "string"
}
],
"organization": "string",
"notes": "string",
"groups": [
"string"
]
}
],
"next_cursor": "string"
}/contactsAdds someone to the address book.
id string read-onlyname string emails array of object phones array of object organization string notes string groups array of string curl -X POST "https://api.pinal.tech/v1/contacts" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"id": "string",
"name": "string",
"emails": [
{
"label": "string",
"value": "alex@pinal.email"
}
],
"phones": [
{
"label": "string",
"value": "string"
}
],
"organization": "string",
"notes": "string",
"groups": [
"string"
]
}'{
"id": "string",
"name": "string",
"emails": [
{
"label": "string",
"value": "alex@pinal.email"
}
],
"phones": [
{
"label": "string",
"value": "string"
}
],
"organization": "string",
"notes": "string",
"groups": [
"string"
]
}/contacts/{id}One contact.
id string requiredContact ID.
curl "https://api.pinal.tech/v1/contacts/{id}" \
-H "Authorization: Bearer $ACCESS_TOKEN"{
"id": "string",
"name": "string",
"emails": [
{
"label": "string",
"value": "alex@pinal.email"
}
],
"phones": [
{
"label": "string",
"value": "string"
}
],
"organization": "string",
"notes": "string",
"groups": [
"string"
]
}/contacts/{id}Removes the contact.
id string requiredContact ID.
curl -X DELETE "https://api.pinal.tech/v1/contacts/{id}" \
-H "Authorization: Bearer $ACCESS_TOKEN"